org.eclipse.eef.ide.internal

## Class EEFIdePlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.eef.ide.internal.EEFIdePlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

Deprecated.

    @Deprecated
    public class EEFIdePlugin
    extends org.eclipse.emf.common.EMFPlugin

The plugin class of the bundle.

### Nested Class Summary

Nested Classes
`static class` `EEFIdePlugin.Implementation` Deprecated. This class is used as the bundle activator of the plugin.

### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

### Field Summary

Fields
`static EEFIdePlugin` `INSTANCE` Deprecated. The sole instance of the plugin.
`static java.lang.String` `PLUGIN_ID` Deprecated. The identifier of the plugin.

### Fields inherited from class org.eclipse.emf.common.EMFPlugin

`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

### Constructor Summary

Constructors
Constructor and Description
`EEFIdePlugin()` Deprecated. The constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static EEFIdePlugin.Implementation` `getPlugin()` Deprecated. Returns the OSGi related implementation.
`org.eclipse.emf.common.util.ResourceLocator` `getPluginResourceLocator()` Deprecated.

### Methods inherited from class org.eclipse.emf.common.EMFPlugin

`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

Deprecated.
The identifier of the plugin.

See Also:
  Constant Field Values

#### INSTANCE

    public static final EEFIdePlugin INSTANCE

Deprecated.
The sole instance of the plugin.

### Constructor Detail

#### EEFIdePlugin

    public EEFIdePlugin()

Deprecated.
The constructor.

### Method Detail

#### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

Deprecated.

Specified by:
  `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
See Also:
  `EMFPlugin.getPluginResourceLocator()`

#### getPlugin

    public static EEFIdePlugin.Implementation getPlugin()

Deprecated.
Returns the OSGi related implementation.

Returns:
  The OSGi related implementation